-- this table holds all the item property system tables
ItemProperties = {}
-- this table contains the item property string color choices
ItemProperties.TextColors =
{
	PropertyColor 				= "[CCCC66]",
	PropertyValueColor 			= "[6699CC]",
	PropertyValueColorNegative	= "[CC3333]",
	PropertyLoreColor 			= "[FF9922]",
}

ItemProperties.ToolTipIndexStart = 5000

-- this is a blank template to stamp on a item it has all the current variables needed.
ItemProperties.PropertyTable = {
	--beta to early access mods
	AccuracyPlus 					= 0,
	AccuracyTimes					= 0,
	AgilityPlus 					= 0,
	AgilityTimes					= 0,
	AttackPlus 						= 0,
	AttackTimes						= 0,	
	PowerPlus						= 0,
	PowerTimes						= 0,	
	ForcePlus						= 0,
	ForceTimes						= 0,	
	ConstitutionPlus				= 0,
	ConstitutionTimes 				= 0,		
	DefensePlus						= 0,
	DefenseTimes					= 0,	
	EvasionPlus						= 0,
	EvasionTimes					= 0,	
	IntelligencePlus				= 0,
	IntelligenceTimes				= 0,	
	StrengthPlus					= 0,
	StrengthTimes					= 0,	
	WillPlus						= 0,
	WillTimes						= 0,	
	WisdomPlus						= 0,
	WisdomTimes						= 0,	
	MaxHealthPlus					= 0,
	MaxHealthTimes					= 0,	
	MaxManaPlus						= 0,
	MaxManaTimes        			= 0,	
	MaxStaminaPlus					= 0,
	MaxStaminaTimes					= 0,	
	MaxVitalityPlus					= 0,
	MaxVitalityTimes				= 0,	
	HealthRegenPlus					= 0,
	HealthRegenTimes				= 0,	
	ManaRegenPlus					= 0,
	ManaRegenTimes					= 0,	
	StaminaRegenPlus				= 0,
	StaminaRegenTimes				= 0,	
	VitalityRegenPlus				= 0,
	VitalityRegenTimes				= 0,	
	MoveSpeedPlus					= 0,
	MoveSpeedTimes 					= 0,
	--steam launch mods
	AttackSpeedTimes 				= 0,
	AttackSpeedPlus					= 0,
	MagicDamageTakenPlus 			= 0,
	MagicDamageTakenTimes 			= 0,
	PhysicalDamageTakenPlus 		= 0,
	PhysicalDamageTakenTimes 		= 0,
	HumanoidDamageReductionTimes 	= 0,
	DemonDamageReductionTimes 		= 0,
	OrkDamageReductionTimes 		= 0,
	AnimalDamageReductionTimes 		= 0,
	ReptileDamageReductionTimes 	= 0,
	UndeadDamageReductionTimes 		= 0,
	EntDamageReductionTimes 		= 0,
	DragonDamageReductionTimes 		= 0,
	ArachnidDamageReductionTimes 	= 0,
	GiantDamageReductionTimes 		= 0,
	BashingDamageReductionTimes 	= 0,
	SlashingDamageReductionTimes 	= 0,
	PiercingDamageReductionTimes 	= 0,
	BowDamageReductionTimes 		= 0, 
	MagicDamageReductionTimes 		= 0,
	HealingReceivedPlus 			= 0,
	HealingReceivedTimes 			= 0,
	ManaReductionMinus 				= 0,
	ManaReductionTimes 				= 0,	
	--project phoenix item mods
	LowerReagentCost 				= 0,		
}
-- this is the string name value of the property that is displayed in the moust over properties
ItemProperties.PropertyBonusStrings = {
	--beta to early access mods
	AccuracyPlus 					= "Increased Accuracy",
	AccuracyTimes	 				= "Increased Accuracy",
	AgilityPlus 					= "Bonus Agility",
	AgilityTimes					= "Bonus Agility",
	AttackPlus 						= "Increased Attack",
	AttackTimes						= "Increased Attack",	
	PowerPlus						= "Increased Power",
	PowerTimes						= "Increased Power",	
	ForcePlus						= "Increased Force",	
	ForceTimes						= "Increased Force",
	ConstitutionPlus				= "Bonus Constitution",
	ConstitutionTimes				= "Bonus Constitution",		
	DefensePlus						= "Increased Defense",
	DefenseTimes					= "Increased Defense",	
	EvasionPlus						= "Increased Evasion",
	EvasionTimes					= "Increased Evasion",	
	IntelligencePlus				= "Bonus Intelligence",
	IntelligenceTimes				= "Bonus Intelligence",	
	StrengthPlus					= "Bonus Strength",
	StrengthTimes					= "Bonus Strength",	
	WillPlus						= "Bonus Will",
	WillTimes						= "Bonus Will",	
	WisdomPlus						= "Bonus Wisdom",
	WisdomTimes						= "Bonus Wisdom",	
	MaxHealthPlus					= "Bonus Health",
	MaxHealthTimes					= "Bonus Health",	
	MaxManaPlus						= "Bonus Mana",
	MaxManaTimes					= "Bonus Mana",	
	MaxStaminaPlus					= "Bonus Stamina",
	MaxStaminaTimes					= "Bonus Stamina",	
	MaxVitalityPlus					= "Bonus Vitality",
	MaxVitalityTimes				= "Bonus Vitality",	
	HealthRegenPlus					= "Health Regeneration",
	HealthRegenTimes				= "Health Regeneration",	
	ManaRegenPlus					= "Mana Regeneration",	
	ManaRegenTimes					= "Mana Regeneration",
	StaminaRegenPlus				= "Stamina Regeneration",
	StaminaRegenTimes				= "Stamina Regeneration",	
	VitalityRegenPlus				= "Vitality Regeneration",	
	VitalityRegenTimes				= "Vitality Regeneration",
	MoveSpeedPlus					= "Increased Movement Speed",
	MoveSpeedTimes					= "Increased Movement Speed",
	--steam launch mods
	AttackSpeedTimes 				= "Increased Attack Speed",					
	AttackSpeedPlus					= "Increased Attack Speed",					
	MagicDamageTakenPlus 			= "Increased Magic Damage Taken",
	MagicDamageTakenTimes 			= "Increased Magic Damage Taken",
	PhysicalDamageTakenPlus 		= "Increased Physical Damage Taken",
	PhysicalDamageTakenTimes 		= "Increased Physical Damage Taken",
	HumanoidDamageReductionTimes 	= "Humanoid Damage Reduction",
	DemonDamageReductionTimes 		= "Demon Damage Reduction",
	OrkDamageReductionTimes 		= "Ork Damage Reduction",
	AnimalDamageReductionTimes 		= "Animal Damage Reduction",
	ReptileDamageReductionTimes 	= "Reptile Damage Reduction",
	UndeadDamageReductionTimes 		= "Undead Damage Reduction",
	EntDamageReductionTimes 		= "Ent Damage Reduction",
	DragonDamageReductionTimes 		= "Dragon Damage Reduction",
	ArachnidDamageReductionTimes 	= "Arachnid Damage Reduction",
	GiantDamageReductionTimes 		= "Giant Damage Reduction",
	BashingDamageReductionTimes 	= "Bashing Damage Reduction",
	SlashingDamageReductionTimes 	= "Slashing Damage Reduction",
	PiercingDamageReductionTimes 	= "Piercing Damage Reduction",
	BowDamageReductionTimes 		= "Bow Damage Reduction", 
	MagicDamageReductionTimes 		= "Magic Damage Reduction",
	HealingReceivedPlus 			= "Healing Received",
	HealingReceivedTimes 			= "Healing Received",
	ManaReductionMinus 				= "Lower Mana Cost",
	ManaReductionTimes 				= "Lower Mana Cost",				
	--project phoenix mods
	LowerReagentCost    			= "Lower Reagent Cost",
}

--- this updates the tooltip variable for the current object
-- @param object - in game object to setup basic item properties
ItemProperties.UpdateItemTooltip = function(object)
	local propertyValues = object:GetObjVar("MagicProperties")
	if(propertyValues == nil) then return end

	--clean properties
	for mobileMod,value in pairs(ItemProperties.PropertyTable) do
		RemoveTooltipEntry(object,mobileMod)
	end
	--update property tooltip information
	for mobileMod,mobileModString in pairs(ItemProperties.PropertyBonusStrings) do
		if(propertyValues[mobileMod] ~= 0 and propertyValues[mobileMod] ~= nil) then
			SetTooltipEntry(object,mobileMod,ItemProperties.TextColors.PropertyColor..ItemProperties.PropertyBonusStrings[mobileMod].. "[-]" .. getIf(propertyValues[mobileMod]>0,ItemProperties.TextColors.PropertyValueColor,ItemProperties.TextColors.PropertyValueColorNegative) .. getIf(propertyValues[mobileMod]>0," +", " ")  ..  propertyValues[mobileMod].."[-]",ItemProperties.ToolTipIndexStart)
		end
	end
	--add the lore tooltip information
	if(object:HasObjVar("LoreString")) then
		SetTooltipEntry(object,"ItemLore",ItemProperties.TextColors.PropertyLoreColor .. object:GetObjVar("LoreString").. "[-]",ItemProperties.ToolTipIndexStart-10000)
	end
end

--- a simple condiontal help function
-- @param mBool - true or false
-- @param v1 - true value to return
-- @param v2 - false value to return
function getIf(mBool, v1, v2)
    if mBool then 
        return v1
    else
        return v2
    end
end

